For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • API Reference
      • POSTUpload file
      • GETGet file
      • GETDownload file
  • Event Reference
API ReferenceFiles

Get file

GET
https://api.plextera.com/api/public/v1/files/:fileId
GET
/api/public/v1/files/:fileId
$curl https://api.plextera.com/api/public/v1/files/fileId \
> -H "Authorization: <apiKey>"
200Retrieved
1{
2 "id": "string",
3 "name": "string",
4 "mimeType": "string",
5 "sizeBytes": 1
6}
Was this page helpful?
Previous

Download file

Next
Built with

Authentication

Authorizationstring

Use the API key format: api-key <token>.

Path parameters

fileIdstringRequired
File identifier.

Response

OK
idstring
namestring
mimeTypestring
sizeByteslong